Skip to main content
POST
/
vector_stores
/
{vector_store_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "vector_store",
  "created_at": 123,
  "name": "<string>",
  "usage_bytes": 123,
  "file_counts": {
    "in_progress": 123,
    "completed": 123,
    "failed": 123,
    "cancelled": 123,
    "total": 123
  },
  "status": "expired",
  "last_active_at": 123,
  "metadata": {},
  "expires_at": 123
}

Authorizations

api-key
string
header
required

Path Parameters

vector_store_id
string
required

The ID of the vector store to modify.

Query Parameters

api-version
enum<string>
default:v1

The explicit Azure AI Foundry Models API version to use for this request. v1 if not otherwise specified.

Available options:
v1,
preview

Body

application/json
name
string | null

The name of the vector store.

expires_after
object

The expiration policy for a vector store.

metadata
object

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

Response

The request has succeeded.

A vector store is a collection of processed files can be used by the file_search tool.

id
string
required

The identifier, which can be referenced in API endpoints.

object
enum<string>
required

The object type, which is always vector_store.

Available options:
vector_store
created_at
integer<unixtime>
required

The Unix timestamp (in seconds) for when the vector store was created.

name
string
required

The name of the vector store.

usage_bytes
integer<int32>
required

The total number of bytes used by the files in the vector store.

file_counts
object
required
status
enum<string>
required

The status of the vector store, which can be either expired, in_progress, or completed. A status of completed indicates that the vector store is ready for use.

Available options:
expired,
in_progress,
completed
last_active_at
integer<unixtime> | null
required

The Unix timestamp (in seconds) for when the vector store was last active.

metadata
object
required

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

expires_after
object

The expiration policy for a vector store.

expires_at
integer<unixtime> | null

The Unix timestamp (in seconds) for when the vector store will expire.